---
updatedAt: 2026-09-18T11:40:41.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Import applicant

# Table of contents

* [Overview](#overview)
* [Specifics of importing company applicants data](#specifics-of-importing-company-applicants-data)
* [Request examples](#request-examples)
* [Response explained](#response-explained)
* [Response examples](#response-examples)

# Overview

Use this method to import an applicant profile into the Sumsub system when you already have the applicant’s data and review results. For example, when you already have a list of verified applicants and want to recheck them or to maintain data consistency.

Unlike the standard method of [creating an applicant profile](https://docs.sumsub.com/sumsub/reference/create-applicants), this approach enables you to instantly submit the review result from your side and specify whether the applicant is approved or rejected.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Create applicants** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Specifics of importing company applicants data

When making a request to import company applicant data, the `fixedInfo` object should include the `companyInfo` object. The `companyInfo` object attributes are required to properly validate the company data during verification. This information is not mandatory to be submitted at creating an applicant profile, but make sure to provide it before requesting a check.

## `companyInfo` arguments

The following table explains the `companyInfo` object attributes representing general data about the company, such as the company name, location, and country of registration, legal entity type, contacts, and other details.

| Field                  | Type                         | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| :--------------------- | :--------------------------- | :------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `companyName`          | String                       | Yes      | The name of the company. There is no length limit for this field.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `registrationNumber`   | String                       | No       | Unique number assigned to the company when it was registered as a legal entity.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `country`              | String                       | Yes      | [ISO 3166-1 alpha-3 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) of the country where the company is legally registered (for example, `DEU` or `GBR`).                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `alternativeNames`     | Array of strings             | No       | List of alternative names of the company: a brand name, business trademark, name in a local language, and so on. For example, "Megacorp" instead of "The Megacorp ABC Inc."                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `legalAddress`         | String                       | No       | Address a legal entity uses to register with a legal authority.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `incorporatedOn`       | Date                         | No       | Date of company incorporation (ISO 8601 format `yyyy-MM-dd`, for example,`2001-09-25`).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `type`                 | String                       | No       | Type of legal entity. For example, `Private Company Limited by Shares`, `Public Limited Company`, `Limited Partnership`, and so on.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `email`                | String                       | No       | Company email address ([RFC 5321/5322](https://en.wikipedia.org/wiki/Email_address) format).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `phone`                | String                       | No       | Company phone number ([ITU-T E.164](https://en.wikipedia.org/wiki/E.164) format).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `controlScheme`        | String                       | No       | Description of the control scheme of the company ownership or a group of entities.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `taxId`                | String                       | No       | Taxpayer registration number/Code of taxpayer registration.<br /><br />⚠️This field has a country-specific format.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `leiCode`              | String                       | No       | Legal Entity Identifier (LEI) code. Refers to the public identifier from the financial entities registry.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `registrationLocation` | String                       | No       | City, town, or another location where the company was registered.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `website`              | String                       | No       | Website URL of the company.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `postalAddress`        | String                       | No       | Company postal address.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `address`              | [Object](#address-arguments) | No       | Represents the company address.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `skippedTypes`         | Array of strings             | No       | Includes the required values to verify a company applicant without the corresponding entities specified in the company profile.<br /><br />Available values: `shareholder`, `ubo`, `representative`, `director`, `companyOfficer`, `investor`, `secretary`, `founder`, `legalAdvisor`, `authorizedSignatory`, `trustee`, `trustBeneficiary`, `trustSettlor`, `trustProtector`, `managingPartner`, `equityPartner`, `fundInvestor`, `fundManager`, `investmentManager`, `investmentAdviser`, `fundAdministrator`, `depositary`, `custodian`, `primeBroker`, `accountUser`.<br /><br />⚠️ Applicable to the `fixedInfo` object only. |
| `noDocs`               | Boolean                      | No       | Indicates whether company documents must be uploaded to proceed verification.<ul><li><code>true</code> — uploading company documents is optional.</li><li><code>false</code> (default) — at least one document must be uploaded.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                         |

## `address` arguments

The following table explains the available details of the company address.

| Field       | Type   | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                |
| :---------- | :----- | :------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `country`   | String | No       | [ISO 3166-1 alpha-3 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) of the country where the company is incorporated (for example, `DEU`, `GBR`, `ARG`).                                                                                                                                                                                                                                                           |
| `postCode`  | String | No       | Address postal code.                                                                                                                                                                                                                                                                                                                                                                                                       |
| `state`     | String | No       | State, region, district, county, or another territorial entity within a country where the company is incorporated.<br /><br />Specify the state of incorporation as an ISO code (for example, `DE` for Delaware or `ON` for Ontario). For federally incorporated Canadian companies, use `FE`.<br /><br />⚠️ Required for companies from the USA or Canada when the selected verification level includes a Registry check. |
| `town`      | String | No       | City, town, or another settlement.                                                                                                                                                                                                                                                                                                                                                                                         |
| `street`    | String | No       | Street name.                                                                                                                                                                                                                                                                                                                                                                                                               |
| `subStreet` | String | No       | Additional information related to the street. This could be a house number or any other details.                                                                                                                                                                                                                                                                                                                           |

# Request examples

```curl Import individual applicant data
curl -X POST
     'https://api.sumsub.com/resources/applicants/-/ingestCompleted?levelName=basic-kyc-level' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "externalUserId": "someClientUserId",
            "info": {
              "firstName": "John",
              "lastName": "Snow",
              "country": "GBR"
            },
            "review": {
              "createDate": "2022-11-21 08:25:32+0000",
              "reviewDate": "2022-11-21 08:25:36+0000",
              "reviewResult": {
                  "moderationComment": "",
                  "clientComment": "",
                  "reviewAnswer": "GREEN"
              },
              "reviewStatus": "completed"
            }
          }'
```
```curl Import company applicant data
curl -X POST
     'https://api.sumsub.com/resources/applicants/-/ingestCompleted?levelName=basic-kyb-level' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "externalUserId": "someClientUserIdCompany",
            "fixedInfo": {
              "companyInfo": {
                "companyName": "COMPANY NAME LTD",
                "registrationNumber" : "09688671",
                "country" : "GBR",
                "incorporatedOn" : "2015-01-01",
                "type" : "Private Company Limited by Shares",
                "email" : "api@example.com",
                "phone" : "+12366020172",
                "website" : "example.com"
              }
            },
            "review": {
              "createDate": "2022-11-21 08:25:32+0000",
              "reviewDate": "2022-11-21 08:25:36+0000",
              "reviewResult": {
                  "moderationComment": "",
                  "clientComment": "",
                  "reviewAnswer": "GREEN"
              },
              "reviewStatus": "completed"
            }
          }'
```

# Response explained

The response is a JSON file representing the applicant profile with augmented and structured information created as a result of importing applicant data. The existence of some fields depends on the documents submitted for verification and verification regulations.

You can see the response structure and possible content with descriptions on the [following page](https://docs.sumsub.com/sumsub/reference/get-applicant-data#response-explained).

# Response examples

If the request is successfully sent and processed, you will get a response like one of those below.

```json For individual applicants
{
  "id": "5b594ade0a975a36c9349e66",
  "createdAt": "2020-06-24 05:05:14",
  "clientId": "your_cool_id",
  "inspectionId": "5b594ade0a975a36c9379e67",
  "externalUserId": "SomeExternalUserId",
  "info": {
    "firstName": "DANIEL",
    "firstNameEn": "DANIEL",
    "lastName": "BROOKS",
    "lastNameEn": "BROOKS",
    "aliasName": "DAN BROOKS",
    "dob": "1989-07-16",
    "country": "DEU",
    "idDocs": [
      {
        "idDocType": "ID_CARD",
        "country": "DEU",
        "firstName": "DANIEL",
        "firstNameEn": "DANIEL",
        "lastName": "BROOKS",
        "lastNameEn": "BROOKS",
        "aliasName": "DAN BROOKS",
        "validUntil": "2028-09-04",
        "number": "LGXX359T8",
        "dob": "1989-07-16",
        "mrzLine1": "IDD<<LGXX359T88<<<<<<<<<<<<<<<",
        "mrzLine2": "8907167<2809045D<<<<<<<<<<<<<8",
        "mrzLine3": "DANIEL<<BROOKS<<<<<<<<<<<<<<",
        "nfcInfo": {
          "fullMrz": "MRZ IS HERE",
          "imageId": "IMAGE ID IS HERE"
        }        
      }
    ]
  },
  "fixedInfo": {
    "firstName": "Daniel",
    "lastName": "Brooks",
    "aliasName": "Dan Brooks",
    "dob": "1989-07-16"
  },
  "agreement": { //present when SDK was initialized with Agreement screen enabled
    "items": [
      {
        "id": "aea6411c-4a34-4d16-9e2c-62bd2c850011",
        "acceptedAt": "2024-03-25 06:56:47",
        "source": "WebSDK",
        "type": "onboarding",
        "recordIds": [
          "6401202f39c56ebefd4497b9",
          "67f0c31bf26d8087f14d133d"
        ],
      }
    ],
  },  
  "email": "dan.brooks@gmail.com",
  "applicantPlatform": "Android",
  "requiredIdDocs": {
    "docSets": [
      {
        "idDocSetType": "IDENTITY",
        "types": [
          "PASSPORT",
          "ID_CARD"
        ]
      },
      {
        "idDocSetType": "SELFIE",
        "types": [
          "SELFIE"
        ]
      }
    ]
  },
  "review": {
    "elapsedSincePendingMs": 115879,
    "elapsedSinceQueuedMs": 95785,
    "reprocessing": true,
    "levelName": "basic-kyc",
    "createDate": "2020-06-24 05:11:02+0000",
    "reviewDate": "2020-06-24 05:12:58+0000",
    "reviewResult": {
      "reviewAnswer": "GREEN"
    },
    "reviewStatus": "completed"
  },
  "lang": "de",
  "type": "individual"
}

```
```json For company applicants (KYB 1.0)
{
  "id": "5ecfbe9ad5ea48743f8dd1b8",
  "createdAt": "2020-05-28 13:37:30",
  "clientId": "coolclientid",
  "inspectionId": "5ecfbe9ad5ea48743f8dd1b9",
  "externalUserId": "externalCompanyId",
  "info": {
    "companyInfo": {
      "companyName": "Cool_company_name",
      "registrationNumber": "5555555",
      "country": "GBR",
      "legalAddress": "Street 123, London, England",
      "incorporatedOn": "2018-02-28 00:00:00",
      "applicantPosition": "Secretary",
      "type": "ltd",
      "email": "email@email.com",
      "phone": "(020) 0000 3333",
      "taxId": "55555276F",
      "registrationLocation": "UK Company Registration",
      "website": "www.website_name.com",
      "postalAddress": "10 St John Axe, London DT7R 00F"
    }
  },
  "requiredIdDocs": {
    "docSets": [
      {
        "idDocSetType": "COMPANY",
        "types": [
          "COMPANY_DOC"
        ],
        "steps": [
          {
            "name": "company",
            "minDocsCnt": 1,
            "idDocTypes": [
              "COMPANY_DOC"
            ],
            "idDocSubTypes": null
          },
          {
            "name": "ubos",
            "minDocsCnt": null,
            "idDocTypes": null,
            "idDocSubTypes": null
          }
        ]
      }
    ]
  }
}
```
```json For company applicants (KYB 2.0)
{
  "id": "679762d6f1dbd5610000000f",
  "createdAt": "2025-01-27 10:41:26",
  "clientId": "cool_client_id",
  "inspectionId": "679762d6f1dbd56171000000",
  "externalUserId": "level-a543e802-b156-4375-8b68-000000000000",
  "info": { // The results of verification are stored here.
    "idDocs": [
      {
        "idDocType": "COMPANY_DOC",
        "country": "DEU"
      }
    ],
    "companyInfo": {
      "companyName": "COMPANY LTD",
      "registrationNumber": "00000000",
      "country": "GBR",
      "legalAddress": "30 Street, London, England, 7DR",
      "incorporatedOn": "2015-07-16 00:00:00",
      "applicantPosition": "Secretary",
      "type": "limitedLiabilityCompany",
      "email": "hello@email.com",
      "phone": "(020) 0000 0000",
      "taxId": "00000000F",
      "registrationLocation": "UK Company Registration",
      "website": "https://website.com/",
      "postalAddress": "30 Street, London 7DR",
      "beneficiaries": [
        {
          "id": "ba1ec4a0-6c39-47e0-b9a5-000000000000",
          "applicantId": "6797633958c30f00000000gf",
          "shareSize": 100,
          "types": [
            "ubo",
            "director"
          ],
          "beneficiaryInfo": {
            "email": "name@email.com",
            "firstName": "John",
            "lastName": "Doe",
            "taxResidenceCountry": "PRT",
            "shareSize": 100
          }
        }
      ]
    }
  },
  "fixedInfo": { // This is what is expected to get from the applicant input.
    "companyInfo": {
      "companyName": "COMPANY LTD",
      "registrationNumber": "00000000",
      "country": "GBR",
      "legalAddress": "30 Street, London, England",
      "incorporatedOn": "2015-07-16 00:00:00",
      "applicantPosition": "-",
      "type": "limitedLiabilityCompany",
      "email": "hello@email.com",
      "phone": "020-0000-0000",
      "taxId": "00000000F",
      "registrationLocation": "-",
      "website": "https://website.com/",
      "postalAddress": "30 Street, London 7DR",
      "skippedTypes": [
        "director",
        "representative"
      ],      
    }
  },
  "applicantPlatform": "Web",
  "ipCountry": "DEU",
  "authCode": "dglkbnzd;fkjnLULHLugluhlUGlyuhgvlUH;ihj;IH;ughkuhg;0MTQzNiwic3ViIjoibGV2ZWwtYTU0M2U4MDItYjE1Ni00Mzc1LThiNjgtNWJhNzhkMzBiOGU1IiwiYXVkIjoic3KDjnfzvkdfnH:H>IHJ/lihfr/xfmQ2ZjFkYmQ1NjE3MWY4YTk2NiJ9._eRh4qLCRxJA6lk6hKJrt-H67X9fmggdFEMpxaAmn_Y",
  "agreement": {
    "createdAt": "2025-01-27 10:41:29",
    "acceptedAt": "2025-01-27 10:41:29",
    "source": "WebSDK"
  },
  "requiredIdDocs": {
    "docSets": [
      {
        "idDocSetType": "COMPANY_DATA",
        "fields": [
          {
            "name": "companyName",
            "required": true
          },
          {
            "name": "country",
            "required": true
          },
          {
            "name": "registrationNumber",
            "required": false
          },
          {
            "name": "incorporatedOn",
            "required": false
          },
          {
            "name": "website",
            "required": false
          },
          {
            "name": "legalAddress",
            "required": false
          },
          {
            "name": "state",
            "required": false
          }
        ]
      },
      {
        "idDocSetType": "COMPANY_BENEFICIARIES",
        "companyBeneficiaryDefinitions": [
          {
            "category": "ubos",
            "canSkip": true,
            "individual": {
              "enabled": true,
              "levelName": "basic-kyc-level",
              "fields": [
                {
                  "name": "firstName",
                  "required": true
                },
                {
                  "name": "lastName",
                  "required": true
                },
                {
                  "name": "middleName",
                  "required": false
                },
                {
                  "name": "dob",
                  "required": false
                },
                {
                  "name": "taxResidenceCountry",
                  "required": true
                },
                {
                  "name": "shareSize",
                  "required": true
                }
              ],
              "customFields": null
            }
          },
          {
            "category": "shareholders",
            "canSkip": true,
            "individual": {
              "enabled": true,
              "levelName": "basic-kyc-level",
              "fields": [
                {
                  "name": "firstName",
                  "required": true
                },
                {
                  "name": "lastName",
                  "required": true
                },
                {
                  "name": "middleName",
                  "required": false
                },
                {
                  "name": "dob",
                  "required": false
                },
                {
                  "name": "taxResidenceCountry",
                  "required": false
                },
                {
                  "name": "shareSize",
                  "required": true
                }
              ],
              "customFields": null
            },
            "company": {
              "enabled": true,
              "levelName": "Auto KYB demo",
              "fields": [
                {
                  "name": "companyName",
                  "required": true
                },
                {
                  "name": "country",
                  "required": true
                },
                {
                  "name": "registrationNumber",
                  "required": false
                }
              ],
              "customFields": null
            }
          },
          {
            "category": "directors",
            "individual": {
              "enabled": true,
              "levelName": "basic-kyc-level",
              "fields": [
                {
                  "name": "firstName",
                  "required": true
                },
                {
                  "name": "lastName",
                  "required": true
                },
                {
                  "name": "middleName",
                  "required": false
                },
                {
                  "name": "dob",
                  "required": false
                },
                {
                  "name": "email",
                  "required": true
                },
                {
                  "name": "phone",
                  "required": false
                }
              ],
              "customFields": null
            },
            "company": {
              "enabled": false,
              "levelName": "Auto KYB demo",
              "fields": [
                {
                  "name": "companyName",
                  "required": true
                },
                {
                  "name": "country",
                  "required": true
                },
                {
                  "name": "registrationNumber",
                  "required": true
                }
              ],
              "customFields": null
            }
          }
        ]
      },
      {
        "idDocSetType": "COMPANY_DOCUMENTS",
        "companyDocsGroupDefinitions": [
          {
            "label": "legalPresence",
            "subTypes": [
              "INCORPORATION_CERT",
              "INCORPORATION_ARTICLES",
              "STATE_REGISTRY"
            ],
            "required": true
          },
          {
            "label": "companyDetails",
            "subTypes": [
              "INFORMATION_STATEMENT",
              "PROOF_OF_ADDRESS",
              "STATE_REGISTRY",
              "INCORPORATION_ARTICLES",
              "INCORPORATION_CERT",
              "INCUMBENCY_CERT",
              "GOOD_STANDING_CERT"
            ],
            "required": true
          }
        ]
      }
    ],
    "kybSettings": {
      "shareholderThreshold": 5,
      "uboThreshold": 25
    }
  },
  "review": {
    "reviewId": "bUKIB",
    "attemptId": "OKxAF",
    "attemptCnt": 1,
    "elapsedSincePendingMs": 219,
    "levelName": "Auto KYB demo",
    "createDate": "2025-01-27 10:44:39+0000",
    "reviewDate": "2025-01-27 10:44:39+0000",
    "reviewResult": {
      "reviewAnswer": "GREEN"
    },
    "reviewStatus": "completed"
  },
  "lang": "en",
  "type": "company",
  "riskLabels": {
    "attemptId": "SLfbz",
    "createdAt": "2025-01-27 10:44:39",
    "device": [
      "vpnUsage"
    ],
    "crossCheck": [
      "manyAccountDuplicates"
    ]
  }
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
   "code": 400,
   "correlationId": "78f4988e0d611cb0ba6fa52603f4b2b0",
   "description": "Review result cannot be both GREEN and contain a rejection type"
}
```

# Errors list

The following table lists the most common error types that you may encounter.

| Code  | Description                                                                                  | Comment                                                                                                                                                                                                                             |
| :---- | :------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `400` | “Existing level should be specified to create an applicant”                                  | `levelName` was not provided in the request.                                                                                                                                                                                        |
| `400` | "Applicant 'review' must be completed and consistent"                                        | <p>Some required parameters were not provided or were provided incorrectly in the request body. For example:</p><ul><li><code>reviewStatus</code> is not “completed”.</li><li><code>reviewAnswer</code> was not provided.</li></ul> |
| `400` | "Review result cannot be both GREEN and contain a rejection type"                            | `reviewRejectType` was provided in the request body when it should not have been.                                                                                                                                                   |
| `400` | "Review result RED must contain rejection type FINAL or RETRY"                               | The `reviewRejectType` field was not provided in the request body, though it is required.                                                                                                                                           |
| `409` | "Applicant with external user id \<external user id> already exists: \<Sumsub applicant id>" | An applicant with the provided `externalUserId` already exists in the Sumsub system.                                                                                                                                                |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/-/ingestCompleted": {
      "post": {
        "summary": "Import applicant",
        "description": "",
        "operationId": "import-applicant",
        "parameters": [
          {
            "name": "levelName",
            "in": "query",
            "description": "[Verification level](https://docs.sumsub.com/sumsub/docs/verification-levels) name. The level determines the verification steps the applicant must complete and the [documents that are required](/reference/get-applicant-data#requirediddocs-attributes) for verification.<br><br> ⚠ Mind the following: <ul><li>A level has to be created in the same [environment](https://docs.sumsub.com/sumsub/docs/sandbox-mode). For example, in the Sandbox mode, you may not be able to use a level configured to be only available in the Production environment.</li><li>A level name is case-sensitive. <code>Kyc-level</code> and <code>kyc-level</code> are considered as completely different level names. The system does not allow creating an applicant with the level name that does not exist.</li><li>If a level name contains reserved characters (for example, <code>@</code>, <code>+</code>, white spaces as <code>%20</code>), it should be URL-encoded, otherwise you may get a signature mismatch.</li><li>The system does not allow creating a company profile with a level for individuals and vice versa.</li></ul>",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "externalUserId",
                  "review"
                ],
                "properties": {
                  "externalUserId": {
                    "type": "string",
                    "description": "Unique applicant identifier as registered on your side. <ul><li>This identifier can be used to [get the applicant data](/reference/get-applicant-data-via-externaluserid) in case the <code>applicantId</code> in the Sumsub system is unknown to you.</li><li>When creating an applicant, you can generate and add the <code>externalUserId</code> manually, or it will be automatically generated and added by Sumsub.</li><li>You can change the <code>externalUserId</code> by the [following method](https://docs.sumsub.com/sumsub/reference/changing-top-level-information).</li></ul>"
                  },
                  "sourceKey": {
                    "type": "string",
                    "description": "[Source key](https://docs.sumsub.com/sumsub/docs/source-keys) that helps you group clients that send applicants. Providing `sourceKey` during import eliminates the need for a separate update API call, helping you avoid redundant two-step flows."
                  },
                  "info": {
                    "type": "object",
                    "description": "Contains personal applicant information extracted during verification on your side.<br><br>If you later request an applicant check, Sumsub may update this data with information recognized from documents on our side.",
                    "properties": {
                      "firstName": {
                        "type": "string",
                        "description": "Applicant first name in the original language."
                      },
                      "middleName": {
                        "type": "string",
                        "description": "Applicant middle name in the original language."
                      },
                      "lastName": {
                        "type": "string",
                        "description": "Applicant last name in the original language."
                      },
                      "aliasName": {
                        "type": "string",
                        "description": "Alternative first/last name."
                      },
                      "legalName": {
                        "type": "string",
                        "description": "Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.  <br><br>Note that the legalName field is not checked and you might need it just in case."
                      },
                      "gender": {
                        "type": "string",
                        "description": "Gender of the applicant (`M`, `F`, or `X`). This field is omitted if gender is not specified in the applicant profile.",
                        "enum": [
                          "M",
                          "F",
                          "X"
                        ]
                      },
                      "dob": {
                        "type": "string",
                        "description": "Applicant date of birth (format `YYYY-mm-dd`, e.g. `2001-09-25`)."
                      },
                      "placeOfBirth": {
                        "type": "string",
                        "description": "Applicant place of birth. This can be a city, a town or another settlement type."
                      },
                      "countryOfBirth": {
                        "type": "string",
                        "description": "Applicant country of birth. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                      },
                      "stateOfBirth": {
                        "type": "string",
                        "description": "The state, region, district, county or another territorial entity of birth inside a country, if applicable."
                      },
                      "country": {
                        "type": "string",
                        "description": "Applicant country. This is usually a country of the last uploaded ID document, and it may differ from the country of birth. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                      },
                      "nationality": {
                        "type": "string",
                        "description": "Applicant country of origin. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                      },
                      "addresses": {
                        "type": "array",
                        "description": "Includes data fields containing the applicant address details.",
                        "items": {
                          "properties": {
                            "country": {
                              "type": "string",
                              "description": "Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                            },
                            "postCode": {
                              "type": "string",
                              "description": "Address postal code."
                            },
                            "town": {
                              "type": "string",
                              "description": "The city, town, or another settlement."
                            },
                            "street": {
                              "type": "string",
                              "description": "Street name."
                            },
                            "subStreet": {
                              "type": "string",
                              "description": "Additional information related to the street. This could be a house number or any other details."
                            },
                            "state": {
                              "type": "string",
                              "description": "The state, region, district, county or another territorial entity inside a country (if applicable)."
                            },
                            "buildingName": {
                              "type": "string",
                              "description": "Building name (if applicable)."
                            },
                            "flatNumber": {
                              "type": "string",
                              "description": "Flat or apartment number."
                            },
                            "buildingNumber": {
                              "type": "string",
                              "description": "Building number."
                            },
                            "formattedAddress": {
                              "type": "string",
                              "description": "Address in a human readable format. For example, `Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany`."
                            }
                          },
                          "type": "object"
                        }
                      },
                      "tin": {
                        "type": "string",
                        "description": "Taxpayer identification number that is unique to each taxpayer."
                      }
                    }
                  },
                  "fixedInfo": {
                    "type": "object",
                    "description": "Contains information submitted by the applicant.<br><br>If you later request an applicant check, Sumsub will not change this information and will use it to cross-validate against data recognized from the applicant’s documents (`info`).<br><br>⚠️ Required to create a company applicant profile.",
                    "properties": {
                      "companyInfo": {
                        "type": "object",
                        "description": "Contains [general information](#specifics-of-importing-company-applicants-data) about the company.<br><br>⚠️ Required to create a company applicant profile.",
                        "required": [
                          "companyName",
                          "country"
                        ],
                        "properties": {
                          "companyName": {
                            "type": "string",
                            "description": "Name of the company."
                          },
                          "registrationNumber": {
                            "type": "string",
                            "description": "Unique number assigned to the company when it was registered as a legal entity."
                          },
                          "country": {
                            "type": "string",
                            "description": "[Alpha-3 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) of the country where the company is legally registered (for example, `DEU`, `GBR`,`ARG`, and so on)."
                          },
                          "alternativeNames": {
                            "type": "array",
                            "description": "Each string stands for an alternative name of the company: a brand name, business trademark, name in a local language, and so on. For example, \"Megacorp\" instead of \"The Megacorp ABC Inc.\"",
                            "items": {
                              "type": "string"
                            }
                          },
                          "legalAddress": {
                            "type": "string",
                            "description": "The address a legal entity uses to register with a legal authority."
                          },
                          "address": {
                            "type": "object",
                            "description": "Company address details.",
                            "properties": {
                              "street": {
                                "type": "string",
                                "description": "Street name."
                              },
                              "subStreet": {
                                "type": "string",
                                "description": "Additional information related to the street. This could be a house number or any other details."
                              },
                              "town": {
                                "type": "string",
                                "description": "City, town, or another settlement."
                              },
                              "state": {
                                "type": "string",
                                "description": "State, region, district, county or another territorial entity inside a country. <br><br>⚠️ The `address.state` field in the API call for the USA and Canada specifies a state or a province, in the two-letter format (standard postal code). For more info, refer to [this article](https://docs.sumsub.com/sumsub/reference/autokyb-api-examples)."
                              },
                              "postCode": {
                                "type": "string",
                                "description": "Address postal code."
                              },
                              "country": {
                                "type": "string",
                                "description": "Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                              }
                            }
                          },
                          "incorporatedOn": {
                            "type": "string",
                            "description": "Date of company incorporation (format `YYYY-mm-dd`, e.g. `2001-09-25`).",
                            "format": "date"
                          },
                          "type": {
                            "type": "string",
                            "description": "A type of legal entity. For example, `Private Company Limited by Shares`, `Public Limited Company`, `Limited Partnership`, and so on."
                          },
                          "email": {
                            "type": "string",
                            "description": "Company email address."
                          },
                          "phone": {
                            "type": "string",
                            "description": "Company phone number."
                          },
                          "controlScheme": {
                            "type": "string",
                            "description": "Description of the control scheme of the company ownership or group of entities."
                          },
                          "taxId": {
                            "type": "string",
                            "description": "Taxpayer registration number/Code of taxpayer registration."
                          },
                          "leiCode": {
                            "type": "string",
                            "description": "Legal Entity Identifier (LEI) code. Refers to the public identifier from the financial entities registry."
                          },
                          "registrationLocation": {
                            "type": "string",
                            "description": "City, town, or another location where the company was registered."
                          },
                          "website": {
                            "type": "string",
                            "description": "Website URL of the company."
                          },
                          "postalAddress": {
                            "type": "string",
                            "description": "Company postal address."
                          },
                          "skippedTypes": {
                            "type": "array",
                            "description": "Include the required values (`shareholder`, `ubo`, `representative`, `director`) in the array to verify a company applicant without the corresponding entities specified in the company profile.",
                            "items": {
                              "type": "string"
                            }
                          },
                          "noUBOs": {
                            "type": "boolean",
                            "description": "When set to `true`, a company is to be verified with no UBOs specified in the company profile. For example, in case when another legal entity that cannot be a UBO owns this company."
                          },
                          "noShareholders": {
                            "type": "boolean",
                            "description": "When set to `true`, a company is to be verified with no shareholders specified in the company profile. For example, in case when the verification level settings require a company to have three shareholders but the company has just one."
                          }
                        }
                      },
                      "firstName": {
                        "type": "string",
                        "description": "Applicant first name in the original language."
                      },
                      "middleName": {
                        "type": "string",
                        "description": "Applicant middle name in the original language."
                      },
                      "lastName": {
                        "type": "string",
                        "description": "Applicant last name in the original language."
                      },
                      "aliasName": {
                        "type": "string",
                        "description": "Alternative first/last name."
                      },
                      "legalName": {
                        "type": "string",
                        "description": "Legal name of the company the applicant is related to (UBO or shareholder). You can keep this information and use it for your personal navigation.  <br><br>Note that the `legalName` field is not checked and you might need it just in case."
                      },
                      "gender": {
                        "type": "string",
                        "description": "Gender of the applicant (`M`, `F`, or `X`). This field is omitted if gender is not specified in the applicant profile.",
                        "enum": [
                          "M",
                          "F",
                          "X"
                        ]
                      },
                      "dob": {
                        "type": "string",
                        "description": "Applicant date of birth, in the format `YYYY-mm-dd` (for example, `2001-09-25`).",
                        "format": "date"
                      },
                      "placeOfBirth": {
                        "type": "string",
                        "description": "Applicant place of birth. This can be a city, a town or another settlement type."
                      },
                      "countryOfBirth": {
                        "type": "string",
                        "description": "Applicant country of birth. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`)."
                      },
                      "stateOfBirth": {
                        "type": "string",
                        "description": "The state, region, district, county or another territorial entity of birth inside a country, if applicable."
                      },
                      "country": {
                        "type": "string",
                        "description": "Applicant country. This is usually a country of the last uploaded ID document, and it may differ from the country of birth. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`)."
                      },
                      "nationality": {
                        "type": "string",
                        "description": "Applicant country of origin. Presented as an alpha-3 country code (for example, `DEU`, `GBR`, `ARG`)."
                      },
                      "addresses": {
                        "type": "array",
                        "description": "Includes data fields containing the applicant address details.",
                        "items": {
                          "properties": {
                            "country": {
                              "type": "string",
                              "description": "Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                            },
                            "postCode": {
                              "type": "string",
                              "description": "Address postal code."
                            },
                            "town": {
                              "type": "string",
                              "description": "The city, town, or another settlement."
                            },
                            "street": {
                              "type": "string",
                              "description": "Street name."
                            },
                            "subStreet": {
                              "type": "string",
                              "description": "Additional information related to the street. This could be a house number or any other details."
                            },
                            "state": {
                              "type": "string",
                              "description": "The state, region, district, county or another territorial entity inside a country (if applicable)."
                            },
                            "buildingName": {
                              "type": "string",
                              "description": "Building name (if applicable)."
                            },
                            "flatNumber": {
                              "type": "string",
                              "description": "Flat or apartment number."
                            },
                            "buildingNumber": {
                              "type": "string",
                              "description": "Building number."
                            },
                            "formattedAddress": {
                              "type": "string",
                              "description": "Address in a human readable format. For example, `Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany`."
                            }
                          },
                          "type": "object"
                        }
                      },
                      "tin": {
                        "type": "string",
                        "description": "Taxpayer identification number that is unique to each taxpayer."
                      },
                      "taxResidenceCountry": {
                        "type": "string",
                        "description": "Country where the applicant pays taxes. Presented as an alpha-3 code (for example, `DEU`, `GBR`, `ARG`)."
                      },
                      "tins": {
                        "type": "array",
                        "items": {
                          "properties": {
                            "tin": {
                              "type": "string",
                              "description": "Taxpayer identification number. Up to 64 characters."
                            },
                            "country": {
                              "type": "string",
                              "description": "Country where this TIN applies, as an [ISO 3166-1 alpha-3 code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) (for example, `DEU`, `GBR`, `ARG`). Up to 3 characters."
                            }
                          },
                          "type": "object"
                        },
                        "description": "List of the applicant taxpayer identification numbers, used when an applicant has more than one TIN.<br><br>The single `tin` / `taxResidenceCountry` pair and the `tins` array are kept in sync automatically. If you send `tin` (and/or `taxResidenceCountry`) without `tins`, the first `tins` entry is populated from them; if you send `tins` without `tin`, `tin` and `taxResidenceCountry` are populated from the first entry (`tins[0]`). Send only one of the two representations per request.<br><br>⚠️ This option is currently available only upon request to our support team or your CSM."
                      }
                    }
                  },
                  "review": {
                    "type": "object",
                    "description": "Explains the details of the applicant verification status and check results obtained on your side.",
                    "required": [
                      "reviewStatus"
                    ],
                    "properties": {
                      "createDate": {
                        "type": "string",
                        "description": "Date and time when the applicant profile was created on your side in the format: `yyyy-MM-dd HH:mm:ss+0000`, for example, `2022-11-21 08:25:32+0000`."
                      },
                      "reviewDate": {
                        "type": "string",
                        "description": "Review date and time on your side in the format: `yyyy-MM-dd HH:mm:ss+0000`, for example, `2022-11-21 08:25:32+0000`."
                      },
                      "reviewResult": {
                        "type": "object",
                        "description": "Contains extra details of the applicant review result.",
                        "required": [
                          "reviewAnswer"
                        ],
                        "properties": {
                          "reviewAnswer": {
                            "type": "string",
                            "description": "<p>Explains the review decision.</p><ul><li><code>GREEN</code> — the applicant is approved.</li><li><code>RED</code> — the applicant is rejected.</li></ul><p>⚠️ If <code>reviewAnswer</code> is <code>GREEN</code>, <code>reviewRejectType</code> must not be provided.</p><p>⚠️ If <code>reviewAnswer</code> is <code>RED</code>, <code>reviewRejectType</code> must be provided.</p>",
                            "enum": [
                              "GREEN",
                              "RED"
                            ]
                          },
                          "reviewRejectType": {
                            "type": "string",
                            "description": "<p>Indicates the type of rejection.</p><ul><li><code>FINAL</code> — final rejection when the applicant cannot resubmit the documents for verification.</li><li><code>RETRY</code> — temporary rejection when the applicant has a chance to resubmit documents and/or data for verification.</li></ul><p>⚠️ The <code>reviewRejectType</code> field must be provided only when <code>reviewAnswer</code> is set to <code>RED</code>.</p>",
                            "enum": [
                              "FINAL",
                              "RETRY"
                            ]
                          },
                          "clientComment": {
                            "type": "string",
                            "description": "An internal comment that explains the reasons for rejection in detail, and that must not be shown to the applicant."
                          },
                          "moderationComment": {
                            "type": "string",
                            "description": "A human-readable comment that explains the reasons for rejection in detail, and that can be shown to the applicant."
                          }
                        }
                      },
                      "reviewStatus": {
                        "type": "string",
                        "description": "⚠️ The applicant review status must be `completed` only. Otherwise, the applicant data import will fail.",
                        "default": "completed"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```